function Create(self)
	if self.Sharpness < 255 then
		self.check = true
		local MO = MovableMan:GetMOFromID(self.Sharpness)
		if MO then
			self.follow = true
			self.Barrel = ToAttachable(MO)
			self.Target = self.Barrel.Pos + self.Barrel:RotateOffset(Vector(math.max(self.Barrel.Sharpness, 150), 0))
		else
			self.Target = self.Pos + Vector(150,0):RadRotate(self.Vel.AbsRadAngle)
		end
	else
		self.Target = self.Pos + Vector(150,0):RadRotate(self.Vel.AbsRadAngle)
	end
	
	self.Mass = 0.1
	self.Sharpness = 50
end

function Update(self)	
	self.check = not self.check
	if self.check then
		if self.follow then
			if self.Barrel:IsAttached() and self.Barrel.Sharpness < 2 then
				self.follow = false
			else
				self.Target = self.Barrel.Pos + self.Barrel:RotateOffset(Vector(self.Barrel.Sharpness, 0))
			end
		end
		
		local Dist = SceneMan:ShortestDistance(self.Pos, self.Target, false)
		if Dist.Magnitude < 5 then
			self.ToDelete = true
		else
			self.Vel = self.Vel + Vector(RangeRand(3, 4), RangeRand(-2, 2)):RadRotate(Dist.AbsRadAngle)
		end
	end
	
	if self.ToDelete or self.Age > 2900 then
		self.ToDelete = true 
		local Pt = CreateMOSRotating("Hover Tank Shot Burst", "EDV.rte")
		if Pt then
			Pt.Pos = self.Pos
			Pt.Age = 1
			MovableMan:AddParticle(Pt)
		end
	end
end
