function Create(self)
	local Gun = SceneMan:GetMOIDPixel(self.Pos.X, self.Pos.Y)
	if Gun then
		Gun = MovableMan:GetMOFromID(Gun)
		if Gun then
			Gun = ToHDFirearm(Gun)
			
			-- Bullet
			local Pa = CreateMOSRotating("Heavy Nailer Round", "EDV.rte")
			if Gun.Sharpness % 2 == 0 then
				Pa.Pos = Gun.Pos + Gun:RotateOffset(Vector(45, -4))
				Gun.Sharpness = 1
			else
				Pa.Pos = Gun.Pos + Gun:RotateOffset(Vector(45, 3))
				Gun.Sharpness = 2
			end
			
			Pa.Vel = Gun:RotateOffset(Vector(70, RangeRand(-3,3)))
			Pa:SetWhichMOToNotHit(Gun, -1)
			MovableMan:AddParticle(Pa)
			
			-- Smoke
			local Pb = CreateMOSParticle("Small Smoke Ball 1", "Base.rte")
			Pb.Pos = Pa.Pos
			Pb.Vel = Gun:RotateOffset(Vector(RangeRand(2,5), RangeRand(-0.5,0.5)))
			MovableMan:AddParticle(Pb)
			
			-- Flash
			Pb = CreateAttachable("Muzzle Flash Nailer", "EDV.rte")
			Pb.Pos = Pa.Pos
			Pb.RotAngle = Pa.Vel.AbsRadAngle
			Pb.Frame = SelectRand(1,3)
			MovableMan:AddParticle(Pb)
		end
	end
end