function Create(self)
	local Barrel = SceneMan:GetMOIDPixel(self.Pos.X, self.Pos.Y)
	if Barrel < 255 then
		local Barrel = MovableMan:GetMOFromID(Barrel)
		if Barrel then
			local Muzzle = self.Pos + Barrel:RotateOffset(Vector(15,0))
			local ang = Barrel.RotAngle	
			if Barrel.HFlipped then
				ang = ang + 3.1416
			end
			
			for i = -2, 2 do
				local Pt = CreateMOPixel("Hover Tank Shot Particle", "EDV.rte")
				if Pt then
					Pt.Vel = Barrel.Vel + Vector(25,0):RadRotate(ang-0.2*i)
					Pt.Pos = Muzzle
					Pt.Sharpness = Barrel.ID	-- Transfer ID.
					Pt:SetWhichMOToNotHit(Barrel, -1)
					MovableMan:AddParticle(Pt)
				end
			end
		end
	end
end